Please merge ncurses 5.7+20090207-1 (main) from Debian unstable (main).

Bug #323879 reported by Alessio Treglia on 2009-02-01
4
Affects Status Importance Assigned to Milestone
ncurses (Ubuntu)
Wishlist
Unassigned

Bug Description

Please merge ncurses 5.7+20090207-1 (main) from Debian unstable (main).

Changelog since current jaunty version 5.7+20081220-1ubuntu1:

ncurses (5.7+20090207-1) unstable; urgency=low

  * Merging upstream version 5.7+20090207.

 -- Daniel Baumann <email address hidden> Tue, 10 Feb 2009 16:07:00 +0100

ncurses (5.7+20090124-1) unstable; urgency=low

  * Merging upstream version 5.7+20090124.
  * Removing bash.dpatch, went upstream.

 -- Daniel Baumann <email address hidden> Mon, 26 Jan 2009 01:50:00 +0100

ncurses (5.7+20090117-1) unstable; urgency=low

  * Merging upstream version 5.7+20090117.
  * Applying patch from David Riebenbauer <email address hidden> to avoid
    bashism in ncurses-config (Closes: #512161).

 -- Daniel Baumann <email address hidden> Sun, 18 Jan 2009 09:18:00 -0500

ncurses (5.7+20090110-1) unstable; urgency=low

  * Merging upstream version 5.7+20090110.

 -- Daniel Baumann <email address hidden> Wed, 14 Jan 2009 10:49:00 -0500

ncurses (5.7+20090105-1) unstable; urgency=low

  * AMerging upstream version 5.7+20090105.

 -- Daniel Baumann <email address hidden> Sat, 10 Jan 2009 13:14:11 -0500

ncurses (5.7+20090104-1) unstable; urgency=low

  * Merging upstream version 5.7+20090104.

 -- Daniel Baumann <email address hidden> Sat, 10 Jan 2009 12:39:00 -0500

ncurses (5.7+20090103-1) UNRELEASED; urgency=low

  * Merging upstream version 5.7+20090103.

 -- Daniel Baumann <email address hidden> Sat, 10 Jan 2009 11:12:00 -0500

ncurses (5.7+20081227-1) unstable; urgency=low

  * Merging upstream version 5.7+20081227.

 -- Daniel Baumann <email address hidden> Fri, 9 Jan 2009 15:46:41 -0500

Changed in ncurses:
status: New → Confirmed
Daniel Holbach (dholbach) wrote :

Could it be that the patch needs a bit of updating?

daniel@bert:~/ncurses-5.7+20090207$ patch -p1< ../ncurses*diff
patching file debian/lib32ncurses5-dev.files
patching file debian/control
patching file debian/lib32ncurses5.dirs
patching file debian/lib32ncursesw5.files
patching file debian/rules
patching file debian/lib32ncursesw5-dev.files
patching file debian/changelog
Hunk #1 FAILED at 1.
Hunk #2 succeeded at 59 (offset 6 lines).
Hunk #3 succeeded at 119 (offset 6 lines).
Hunk #4 succeeded at 392 (offset 6 lines).
Hunk #5 succeeded at 466 (offset 6 lines).
Hunk #6 succeeded at 510 (offset 6 lines).
Hunk #7 succeeded at 550 (offset 6 lines).
Hunk #8 succeeded at 598 (offset 6 lines).
Hunk #9 succeeded at 637 (offset 6 lines).
Hunk #10 succeeded at 676 (offset 6 lines).
1 out of 10 hunks FAILED -- saving rejects to file debian/changelog.rej
patching file debian/lib32ncurses5.files
daniel@bert:~/ncurses-5.7+20090207$

Changed in ncurses:
assignee: nobody → quadrispro
status: Confirmed → In Progress
Alessio Treglia (quadrispro) wrote :
Changed in ncurses:
assignee: quadrispro → nobody
status: In Progress → Confirmed
Alessio Treglia (quadrispro) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ncurses - 5.7+20090207-1ubuntu1

---------------
ncurses (5.7+20090207-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #323879), Ubuntu remaining changes:
    - On amd64, use /{,usr/}lib32 instead of /emul/ia32-linux/.
    - Link using -Bsymbolic-functions.
    - Install wide-character patches into /{,usr/}lib32.
    - Don't install the upstream changelogs in the runtime library packages.

ncurses (5.7+20090207-1) unstable; urgency=low

  * Merging upstream version 5.7+20090207.

ncurses (5.7+20090124-1) unstable; urgency=low

  * Merging upstream version 5.7+20090124.
  * Removing bash.dpatch, went upstream.

ncurses (5.7+20090117-1) unstable; urgency=low

  * Merging upstream version 5.7+20090117.
  * Applying patch from David Riebenbauer <email address hidden> to avoid
    bashism in ncurses-config (Closes: #512161).

ncurses (5.7+20090110-1) unstable; urgency=low

  * Merging upstream version 5.7+20090110.

ncurses (5.7+20090105-1) unstable; urgency=low

  * AMerging upstream version 5.7+20090105.

ncurses (5.7+20090104-1) unstable; urgency=low

  * Merging upstream version 5.7+20090104.

ncurses (5.7+20090103-1) UNRELEASED; urgency=low

  * Merging upstream version 5.7+20090103.

ncurses (5.7+20081227-1) unstable; urgency=low

  * Merging upstream version 5.7+20081227.

 -- Alessio Treglia <email address hidden> Wed, 11 Feb 2009 19:28:57 +0100

Changed in ncurses:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers